#1695 closed enhancement (worksforme)

Add to drivedb Western Digital WDC WD6000HLHX

Reported by: privatedev Owned by:
Priority: minor Milestone: Release 5.40
Component: drivedb Version: 7.3
Keywords: hdd Cc:

Description (last modified by Christian Franke)

Note: whilst output below states that this drive is in drivedb 7.3/5440, a search of that file does not find a matching entry for "WD6000HLHX". As such, scan reports device as "scsi" when it appears to be "sat". "Smartctl -d scsi -i" returns incomplete Smart data whereas "smartctl -d sat -i" retuens complete smart data.

smartctl -x /dev/sda
smartctl 7.3 2022-02-28 r5338 [x86_64-linux-5.14.0-162.12.1.el9_1.x86_64] (local build)
Copyright (C) 2002-22, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family:     Western Digital VelociRaptor
Device Model:     WDC WD6000HLHX-01JJPV0
Serial Number:    WD-WXM1EA0KZM04
LU WWN Device Id: 5 0014ee 057f16a1e
Firmware Version: 04.05G04
User Capacity:    600,127,266,816 bytes [600 GB]
Sector Size:      512 bytes logical/physical
Rotation Rate:    10000 rpm
Device is:        In smartctl database 7.3/5440
ATA Version is:   ATA8-ACS (minor revision not indicated)
SATA Version is:  SATA 2.6, 6.0 Gb/s
Local Time is:    Sun Feb 12 02:06:26 2023 CST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM level is:     254 (maximum performance), recommended: 128
APM level is:     128 (minimum power consumption without standby)
Rd look-ahead is: Enabled
Write cache is:   Enabled
DSN feature is:   Unavailable
ATA Security is:  Disabled, frozen [SEC2]
Wt Cache Reorder: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x84)	Offline data collection activity
					was suspended by an interrupting command from host.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever 
					been run.
Total time to complete Offline 
data collection: 		( 8160) seconds.
Offline data collection
capabilities: 			 (0x7b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine 
recommended polling time: 	 (   2) minutes.
Extended self-test routine
recommended polling time: 	 (  87) minutes.
Conveyance self-test routine
recommended polling time: 	 (   5) minutes.
SCT capabilities: 	       (0x303d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  1 Raw_Read_Error_Rate     POSR-K   100   253   051    -    0
  3 Spin_Up_Time            POS--K   100   253   021    -    0
  4 Start_Stop_Count        -O--CK   100   100   000    -    2
  5 Reallocated_Sector_Ct   PO--CK   200   200   140    -    0
  7 Seek_Error_Rate         -OSR-K   100   253   000    -    0
  9 Power_On_Hours          -O--CK   100   100   000    -    14
 10 Spin_Retry_Count        -O--CK   100   253   000    -    0
 11 Calibration_Retry_Count -O--CK   100   253   000    -    0
 12 Power_Cycle_Count       -O--CK   100   100   000    -    2
192 Power-Off_Retract_Count -O--CK   200   200   000    -    0
193 Load_Cycle_Count        -O--CK   200   200   000    -    1
194 Temperature_Celsius     -O---K   118   117   000    -    32
196 Reallocated_Event_Count -O--CK   200   200   000    -    0
197 Current_Pending_Sector  -O--CK   200   200   000    -    0
198 Offline_Uncorrectable   ----CK   100   253   000    -    0
199 UDMA_CRC_Error_Count    -O--CK   200   200   000    -    0
200 Multi_Zone_Error_Rate   ---R--   100   253   000    -    0
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning

General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      5  Comprehensive SMART error log
0x03       GPL     R/O      6  Ext. Comprehensive SMART error log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x09           SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xa0-0xa7  GPL,SL  VS      16  Device vendor specific log
0xa8-0xb5  GPL,SL  VS       1  Device vendor specific log
0xb6       GPL     VS       1  Device vendor specific log
0xb7       GPL,SL  VS       1  Device vendor specific log
0xbd       GPL,SL  VS       1  Device vendor specific log
0xc0       GPL,SL  VS       1  Device vendor specific log
0xc1       GPL     VS      24  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

SMART Extended Comprehensive Error Log Version: 1 (6 sectors)
Device Error Count: 5
	CR     = Command Register
	FEATR  = Features Register
	COUNT  = Count (was: Sector Count) Register
	LBA_48 = Upper bytes of LBA High/Mid/Low Registers ]  ATA-8
	LH     = LBA High (was: Cylinder High) Register    ]   LBA
	LM     = LBA Mid (was: Cylinder Low) Register      ] Register
	LL     = LBA Low (was: Sector Number) Register     ]
	DV     = Device (was: Device/Head) Register
	DC     = Device Control Register
	ER     = Error register
	ST     = Status register
Powered_Up_Time is measured from power on, and printed as
DDd+hh:mm:SS.sss where DD=days, hh=hours, mm=minutes,
SS=sec, and sss=millisec. It "wraps" after 49.710 days.

Error 5 [4] occurred at disk power-on lifetime: 0 hours (0 days + 0 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  04 -- 51 44 01 00 00 00 00 00 30 a0 00  Error: ABRT

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.276  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.274  SMART WRITE LOG

Error 4 [3] occurred at disk power-on lifetime: 0 hours (0 days + 0 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  04 -- 51 44 01 00 00 00 00 00 30 a0 00  Error: ABRT

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.274  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.160  SMART WRITE LOG

Error 3 [2] occurred at disk power-on lifetime: 0 hours (0 days + 0 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  04 -- 51 44 01 00 00 00 00 00 30 a0 00  Error: ABRT

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.274  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.160  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.046  SMART WRITE LOG

Error 2 [1] occurred at disk power-on lifetime: 0 hours (0 days + 0 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  04 -- 51 44 01 00 00 00 00 00 30 a0 00  Error: ABRT

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.275  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.274  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.160  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.046  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:14.932  SMART WRITE LOG

Error 1 [0] occurred at disk power-on lifetime: 0 hours (0 days + 0 hours)
  When the command that caused the error occurred, the device was active or idle.

  After command completion occurred, registers were:
  ER -- ST COUNT  LBA_48  LH LM LL DV DC
  -- -- -- == -- == == == -- -- -- -- --
  04 -- 51 00 01 00 00 00 00 00 30 a0 00  Error: ABRT

  Commands leading to the command that caused the error were:
  CR FEATR COUNT  LBA_48  LH LM LL DV DC  Powered_Up_Time  Command/Feature_Name
  -- == -- == -- == == == -- -- -- -- --  ---------------  --------------------
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.274  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.160  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:15.046  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:14.932  SMART WRITE LOG
  b0 00 d6 00 01 00 00 00 c2 4f be a0 00     00:00:14.813  SMART WRITE LOG

SMART Extended Self-test Log Version: 1 (1 sectors)
No self-tests have been logged.  [To run self-tests, use: smartctl -t]

SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.

SCT Status Version:                  3
SCT Version (vendor specific):       258 (0x0102)
Device State:                        Active (0)
Current Temperature:                    32 Celsius
Power Cycle Min/Max Temperature:     23/33 Celsius
Lifetime    Min/Max Temperature:     23/33 Celsius
Under/Over Temperature Limit Count:   0/0

SCT Temperature History Version:     2
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        1 minute
Min/Max recommended Temperature:      0/60 Celsius
Min/Max Temperature Limit:           -41/85 Celsius
Temperature History Size (Index):    478 (418)

Index    Estimated Time   Temperature Celsius
 419    2023-02-11 18:09    32  *************
 420    2023-02-11 18:10    32  *************
 421    2023-02-11 18:11    32  *************
 422    2023-02-11 18:12     ?  -
 423    2023-02-11 18:13    23  ****
 424    2023-02-11 18:14    23  ****
 425    2023-02-11 18:15    24  *****
 426    2023-02-11 18:16    24  *****
 427    2023-02-11 18:17    25  ******
 428    2023-02-11 18:18    25  ******
 429    2023-02-11 18:19    26  *******
 430    2023-02-11 18:20    27  ********
 ...    ..(  3 skipped).    ..  ********
 434    2023-02-11 18:24    27  ********
 435    2023-02-11 18:25    28  *********
 436    2023-02-11 18:26    28  *********
 437    2023-02-11 18:27    28  *********
 438    2023-02-11 18:28    29  **********
 ...    ..(  3 skipped).    ..  **********
 442    2023-02-11 18:32    29  **********
 443    2023-02-11 18:33    30  ***********
 ...    ..( 32 skipped).    ..  ***********
 476    2023-02-11 19:06    30  ***********
 477    2023-02-11 19:07    31  ************
   0    2023-02-11 19:08    31  ************
   1    2023-02-11 19:09    31  ************
   2    2023-02-11 19:10    32  *************
   3    2023-02-11 19:11    32  *************
   4    2023-02-11 19:12    33  **************
 ...    ..(  3 skipped).    ..  **************
   8    2023-02-11 19:16    33  **************
   9    2023-02-11 19:17    32  *************
 ...    ..( 37 skipped).    ..  *************
  47    2023-02-11 19:55    32  *************
  48    2023-02-11 19:56    31  ************
  49    2023-02-11 19:57    32  *************
  50    2023-02-11 19:58    32  *************
  51    2023-02-11 19:59    31  ************
 ...    ..(  5 skipped).    ..  ************
  57    2023-02-11 20:05    31  ************
  58    2023-02-11 20:06    32  *************
  59    2023-02-11 20:07    31  ************
 ...    ..(  3 skipped).    ..  ************
  63    2023-02-11 20:11    31  ************
  64    2023-02-11 20:12    32  *************
 ...    ..( 21 skipped).    ..  *************
  86    2023-02-11 20:34    32  *************
  87    2023-02-11 20:35    31  ************
  88    2023-02-11 20:36    32  *************
  89    2023-02-11 20:37    32  *************
  90    2023-02-11 20:38    31  ************
 ...    ..( 28 skipped).    ..  ************
 119    2023-02-11 21:07    31  ************
 120    2023-02-11 21:08    32  *************
 ...    ..( 13 skipped).    ..  *************
 134    2023-02-11 21:22    32  *************
 135    2023-02-11 21:23    31  ************
 136    2023-02-11 21:24    31  ************
 137    2023-02-11 21:25    31  ************
 138    2023-02-11 21:26    32  *************
 139    2023-02-11 21:27    32  *************
 140    2023-02-11 21:28    31  ************
 ...    ..( 23 skipped).    ..  ************
 164    2023-02-11 21:52    31  ************
 165    2023-02-11 21:53    32  *************
 ...    ..( 19 skipped).    ..  *************
 185    2023-02-11 22:13    32  *************
 186    2023-02-11 22:14    31  ************
 187    2023-02-11 22:15    32  *************
 188    2023-02-11 22:16    31  ************
 ...    ..( 21 skipped).    ..  ************
 210    2023-02-11 22:38    31  ************
 211    2023-02-11 22:39    32  *************
 ...    ..( 13 skipped).    ..  *************
 225    2023-02-11 22:53    32  *************
 226    2023-02-11 22:54    31  ************
 ...    ..( 22 skipped).    ..  ************
 249    2023-02-11 23:17    31  ************
 250    2023-02-11 23:18    32  *************
 ...    ..( 17 skipped).    ..  *************
 268    2023-02-11 23:36    32  *************
 269    2023-02-11 23:37    31  ************
 ...    ..( 15 skipped).    ..  ************
 285    2023-02-11 23:53    31  ************
 286    2023-02-11 23:54    32  *************
 287    2023-02-11 23:55    31  ************
 288    2023-02-11 23:56    32  *************
 ...    ..( 16 skipped).    ..  *************
 305    2023-02-12 00:13    32  *************
 306    2023-02-12 00:14    31  ************
 ...    ..( 18 skipped).    ..  ************
 325    2023-02-12 00:33    31  ************
 326    2023-02-12 00:34    32  *************
 ...    ..( 36 skipped).    ..  *************
 363    2023-02-12 01:11    32  *************
 364    2023-02-12 01:12    33  **************
 ...    ..( 10 skipped).    ..  **************
 375    2023-02-12 01:23    33  **************
 376    2023-02-12 01:24    32  *************
 ...    ..( 21 skipped).    ..  *************
 398    2023-02-12 01:46    32  *************
 399    2023-02-12 01:47    33  **************
 ...    ..(  9 skipped).    ..  **************
 409    2023-02-12 01:57    33  **************
 410    2023-02-12 01:58    32  *************
 411    2023-02-12 01:59    32  *************
 412    2023-02-12 02:00    33  **************
 413    2023-02-12 02:01    33  **************
 414    2023-02-12 02:02    32  *************
 ...    ..(  3 skipped).    ..  *************
 418    2023-02-12 02:06    32  *************

SCT Error Recovery Control:
           Read:     70 (7.0 seconds)
          Write:     70 (7.0 seconds)

Device Statistics (GP/SMART Log 0x04) not supported

Pending Defects log (GP Log 0x0c) not supported

SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x000a  2            1  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
0x8000  4        28444  Vendor specific

Change History (4)

comment:1 by privatedev, 16 months ago

Component: alldrivedb

comment:2 by Christian Franke, 15 months ago

Description: modified (diff)

comment:3 by Christian Franke, 15 months ago

Keywords: hdd added; WD6000HLHX removed

... a search of that file does not find a matching entry for "WD6000HLHX".

There is a regexp which matches this device, otherwise these lines would not appear:

Model Family: Western Digital VelociRaptor
...
Device is: In smartctl database 7.3/5440

You could also try:

$ smartctl -P showall 'WDC WD6000HLHX-01JJPV0'
Drive found in smartmontools Database.  Drive identity strings:
MODEL:              WDC WD6000HLHX-01JJPV0
FIRMWARE:           (any)
match smartmontools Drive Database entry:
MODEL REGEXP:       WDC WD(((800H|(1500|3000)[BH]|1600H|3000G)LFS)|((1500|3000|4500|6000)[BH]LHX))-.*
FIRMWARE REGEXP:    .*
MODEL FAMILY:       Western Digital VelociRaptor
ATTRIBUTE OPTIONS:  None preset; no -v options are required.

"Smartctl -d scsi -i" returns incomplete Smart data

This is as expected. It shows the SCSI/SAS view of the device translated from ATA/SATA by the kernel. ATA/SATA SMART information cannot be mapped to SCSI/SAS.

comment:4 by Christian Franke, 15 months ago

Milestone: Release 5.40
Resolution: worksforme
Status: newclosed

Added 12+ years ago in r3160, r3161.

Note: See TracTickets for help on using tickets.